%define upstream_name     Text-Hunspell
%define upstream_version 2.14

# SPEC file adapted from Fedora RawHide (Thanks!)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Perl interface to the Hunspell library
Group:      Development/Perl
License:    GPL+ or Artistic
URL:        https://metacpan.org/release/Text-Hunspell
Source0:    http://search.cpan.org/CPAN/authors/id/C/CO/COSIMO/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:  perl(Alien::Hunspell)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  gcc-c++, hunspell-devel >= 1.3, hunspell-en
BuildRequires:  perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the Hunspell library. This module
is to meet the need of looking up many words, one at a time, in a single
session, such as spell-checking a document in memory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
HUNSPELL_LIB_NAME=$(pkg-config --libs hunspell | sed 's/-l//; s/[[:space:]]*$//')
# perl -pi -e "s/'hunspell'/'${HUNSPELL_LIB_NAME}'/" Makefile.PL t/00-prereq.t
%{__perl} Makefile.PL \
    INSTALLDIRS=vendor \
    LIBS="-l${HUNSPELL_LIB_NAME}" \
    OPTIMIZE="%{optflags}"
%{make}

%install
%makeinstall_std

%check
LANG=en_US make test TEST_POD=1 TEST_VERBOSE=1

%files
%doc Changes README examples/
%{perl_vendorarch}/auto/Text/
%{perl_vendorarch}/Text/
%{_mandir}/man3/Text::Hunspell.3pm*



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.140.0-3.mga6
+ Revision: 1034923
- Rebuild for perl 5.22.2

* Thu Apr 21 2016 tv <tv> 2.140.0-2.mga6
+ Revision: 1004199
- rebuid for libhunspell 1.4

* Sat Feb 06 2016 shlomif <shlomif> 2.140.0-1.mga6
+ Revision: 942137
- Add dep
- New version 2.014

* Fri Jun 26 2015 tv <tv> 2.110.0-2.mga6
+ Revision: 845328
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.110.0-1.mga6
+ Revision: 840992
- Add missing BR
- New version 2.11 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 2.80.0-7.mga5
+ Revision: 744420
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.80.0-6.mga5
+ Revision: 736096
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.80.0-5.mga5
+ Revision: 686628
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.80.0-4.mga5
+ Revision: 631796
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.80.0-3.mga4
+ Revision: 525043
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.80.0-2.mga4
+ Revision: 431819
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 2.80.0-1.mga4
+ Revision: 431428
- New version 2.08 + Rebuild for Perl

* Sun Jan 13 2013 umeabot <umeabot> 2.50.0-2.mga3
+ Revision: 374103
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 shlomif <shlomif> 2.50.0-1.mga3
+ Revision: 298410
- New version 2.05

* Fri Sep 14 2012 shlomif <shlomif> 2.30.0-1.mga3
+ Revision: 293899
- Made the package more Mageia-compliant.

* Thu Sep 13 2012 shlomif <shlomif> 2.03-2.mga3
+ Revision: 293681
- Imported from Fedora (with some fixes and customizations by shlomif


* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Paul Howarth <paul@city-fan.org> - 2.03-4
- BR: perl(Data::Dumper)
- Drop %%defattr, redundant since rpm 4.4
- Don't need to remove empty directories from the buildroot
- Use %%{_fixperms} macro rather than our own chmod incantation

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 2.03-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 2.03-1
- Update to 2.03 (fixed use of "qw()" as parenthesis in inc/Devel/CheckLib.pm
  because it's deprecated in perl 5.14)

* Sun Jun 19 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.02-5
- Perl mass rebuild

* Sun Jun 19 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.02-4
- Perl mass rebuild

* Wed May 25 2011 Paul Howarth <paul@city-fan.org> - 2.02-3
- Rebuilt for new hunspell
- Remove remaining use of macros for system commands

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 24 2010 Paul Howarth <paul@city-fan.org> - 2.02-1
- Update to 2.02 (added an explicit warning if the unversioned libhunspell.so
  symlink or library is not found)

* Wed Sep 29 2010 jkeating - 2.01-3
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Paul Howarth <paul@city-fan.org> - 2.01-2
- Sanitize for Fedora submission

* Wed Sep  8 2010 Paul Howarth <paul@city-fan.org> - 2.01-1
- Initial RPM version
